- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ec2_vpc_endpoint_info – Retrieves AWS VPC endpoints details using AWS methods

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gets various details related to AWS VPC Endpoints

- This module was called `ec2_vpc_endpoint_facts` before Ansible 2.9. The usage did not change.

Aliases: ec2_vpc_endpoint_facts

## Requirements

The below requirements are needed on the host that executes this module.

- boto

- boto3

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
filters - |  | A dict of filters to apply. Each dict item consists of a filter key and a filter value. See https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_DescribeVpcEndpoints.html for possible filters.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
query - / required | Choices: services endpoints | Specifies the query action to take. Services returns the supported AWS services that can be specified when creating an endpoint.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.
vpc_endpoint_ids - |  | Get details of specific endpoint IDs Provide this value as a list

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`

- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html

- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Simple example of listing all support AWS services for VPC endpoints
    - name: List supported AWS endpoint services
      ec2_vpc_endpoint_info:
        query: services
        region: ap-southeast-2
      register: supported_endpoint_services

    - name: Get all endpoints in ap-southeast-2 region
      ec2_vpc_endpoint_info:
        query: endpoints
        region: ap-southeast-2
      register: existing_endpoints

    - name: Get all endpoints with specific filters
      ec2_vpc_endpoint_info:
        query: endpoints
        region: ap-southeast-2
        filters:
          vpc-id:
            - vpc-12345678
            - vpc-87654321
          vpc-endpoint-state:
            - available
            - pending
      register: existing_endpoints

    - name: Get details on specific endpoint
      ec2_vpc_endpoint_info:
        query: endpoints
        region: ap-southeast-2
        vpc_endpoint_ids:
          - vpce-12345678
      register: endpoint_details

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
service_names list | query is `services` | AWS VPC endpoint service names Sample: {'service_names': ['com.amazonaws.ap-southeast-2.s3']}
vpc_endpoints list | query is `endpoints` | A list of endpoints that match the query. Each endpoint has the keys creation_timestamp, policy_document, route_table_ids, service_name, state, vpc_endpoint_id, vpc_id. Sample: {'vpc_endpoints': [{'creation_timestamp': '2017-02-16T11:06:48+00:00', 'policy_document': '"{"Version":"2012-10-17","Id":"Policy1450910922815", "Statement":[{"Sid":"Stmt1450910920641","Effect":"Allow", "Principal":"*","Action":"s3:*","Resource":["arn:aws:s3:::*/*","arn:aws:s3:::*"]}]}"\n', 'route_table_ids': ['rtb-abcd1234'], 'service_name': 'com.amazonaws.ap-southeast-2.s3', 'state': 'available', 'vpc_endpoint_id': 'vpce-abbad0d0', 'vpc_id': 'vpc-1111ffff'}]}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Karen Cheng (@Etherdaemon)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.